From a0fe61af663de60bcba8a1b527508e93f12d8d3a Mon Sep 17 00:00:00 2001
From: Ashutosh Bapat <ashutosh.bapat@enterprisedb.com>
Date: Wed, 6 Dec 2023 10:51:56 +0530
Subject: [PATCH 01/14] Fix prologue of get_partition_ancestors()

The callers of this function assume that the first Oid in the list returned by
this function corresponds to the immediate parent and the last on corresponds
to the topmost parent. Make that explicit in the function prologue.

Ashutosh Bapat
---
 src/backend/catalog/partition.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/backend/catalog/partition.c b/src/backend/catalog/partition.c
index f8780ce57d..b6e837d70b 100644
--- a/src/backend/catalog/partition.c
+++ b/src/backend/catalog/partition.c
@@ -123,7 +123,9 @@ get_partition_parent_worker(Relation inhRel, Oid relid, bool *detach_pending)
  * get_partition_ancestors
  *		Obtain ancestors of given relation
  *
- * Returns a list of ancestors of the given relation.
+ * Returns a list of ancestors of the given relation. The first ancestor in the
+ * list is the immediate parent and the last one is the topmost parent in the
+ * partition hierarchy. When there is a single ancestor both of them are same.
  *
  * Note: Because this function assumes that the relation whose OID is passed
  * as an argument and each ancestor will have precisely one parent, it should
-- 
2.25.1

